<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/ui_surface"
        android:orientation="horizontal">

        <LinearLayout
            android:id="@+id/day_container"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingLeft="20dp"
            android:paddingTop="4dp"
            android:paddingRight="32dp"
            android:paddingBottom="4dp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <CheckedTextView
                android:id="@+id/today"
                android:layout_width="wrap_content"
                android:layout_height="43dp"
                android:gravity="center"
                android:text="今日开服"
                android:textSize="14sp" />

            <CheckedTextView
                android:id="@+id/tomorrow"
                android:layout_width="wrap_content"
                android:layout_height="43dp"
                android:gravity="center"
                android:text="明日开服"
                android:textSize="14sp" />

            <CheckedTextView
                android:id="@+id/after"
                android:layout_width="wrap_content"
                android:layout_height="43dp"
                android:gravity="center"
                android:text="后续开服"
                android:textColor="@color/text_primary"
                android:textSize="14sp" />

        </LinearLayout>

        <View
            android:id="@+id/line"
            android:layout_width="1dp"
            android:layout_height="match_parent"
            android:background="@color/ui_divider" />

        <ScrollView
            android:id="@+id/hour_scrollview"
            android:layout_width="match_parent"
            android:layout_height="360dp"
            android:scrollbars="none"
            android:visibility="gone">

            <!-- dynamic insert -->
            <LinearLayout
                android:id="@+id/hour_container"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:paddingTop="4dp"
                android:paddingBottom="4dp" />

        </ScrollView>
    </LinearLayout>

    <View
        android:id="@+id/fill_background"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:alpha="0.3"
        android:background="@color/black"
        android:visibility="visible" />

</LinearLayout>
